Bug 189007 - IF-MIB::ifNumber.0 missing from MIB
Summary: IF-MIB::ifNumber.0 missing from MIB
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-14 16:58 UTC by Dennis Jacobfeuerborn
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 5.3-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-15 11:06:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix (3.09 KB, patch)
2006-04-14 20:04 UTC, Dennis Jacobfeuerborn
no flags Details | Diff

Description Dennis Jacobfeuerborn 2006-04-14 16:58:18 UTC
It seems IF-MIB::ifNumber.0 has disappeared from the current versions of net-snmp.

Here is what I get with an FC4 system:
> snmpget -v 1 -c xxxxxxxx hostname IF-MIB::ifNumber.0
IF-MIB::ifNumber.0 = INTEGER: 2

When I query a FC5/Rawhide system I get:
> snmpget -v 1 -c public localhost IF-MIB::ifNumber.0
Error in packet
Reason: (noSuchName) There is no such variable name in this MIB.
Failed object: IF-MIB::ifNumber.0

Comment 1 Dennis Jacobfeuerborn 2006-04-14 20:04:05 UTC
Created attachment 127762 [details]
fix

The attached patch is taken from the following bug of the net-snmp project:
http://sf.net/support/tracker.php?aid=1399369

I applied the patch to the current Rawhide SRPM and that fixed the issue for
me.

Comment 2 Radek Vokal 2006-04-15 11:06:49 UTC
Thanx for testing, patch checked in


Note You need to log in before you can comment on or make changes to this bug.